curl --request GET \
--url https://eu.sequencehq.com/api/credit-grants \
--header 'Authorization: <authorization>'import requests
url = "https://eu.sequencehq.com/api/credit-grants"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://eu.sequencehq.com/api/credit-grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "0199ca8a-e7e8-73b3-bd69-a316a23231a0",
"sequenceAccountId": "dce9ae85-d8d0-42b4-bcad-f221a64363c6",
"customerId": "61b083e0-1faa-47ca-9aeb-6205da8f6c47",
"billingScheduleId": "0199ca86-560e-7ac4-999f-bee364f7e4e7",
"phaseId": "0199ca87-6d80-7836-aa09-10386a08d761",
"name": "Monthly usage credits",
"creditUnitType": "CURRENCY",
"currency": "GBP",
"metricId": "f092246c-6b90-4106-bcca-304ccf06bf45",
"amount": 100,
"availableBalance": 79.35,
"costOfCredit": 100,
"taxRateId": "179d1ab3-cc96-48e2-9310-067b0b42d47c",
"effectiveDate": "2026-01-01",
"expiryDate": "2026-01-31",
"createdAt": "2026-01-01T10:00:00Z",
"updatedAt": "2026-01-01T10:00:00Z",
"grantRefreshFrequency": "MONTHLY",
"billingFrequency": "MONTHLY",
"rolloverMode": "NONE",
"sourceGrantId": "0199ca8a-e7e8-73b3-bd69-a316a2323100",
"restrictToPrices": [
"0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"
],
"integrationIds": [
{
"service": "Xero",
"id": "74ed2615-4730-49ab-9445-74f31723a206",
"isPending": false
}
]
}
],
"pagination": {
"after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
"before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
"totalResultSize": 10
}
}This response has no body data.This response has no body data.This response has no body data.List credit grants
List billing schedule credit grants on your account, newest first by default. Filter by billing schedule or customer, and use the pagination cursors to retrieve more results. Includes grants that are not yet effective, awaiting funding, depleted or expired. Usage awaiting processing is not yet deducted from availableBalance.
Headers
Your API credentials. Eg. Basic {credentials}.
Use this header to select an API version
2024-07-30 Query Parameters
Return only the grants belonging to this billing schedule.
Return only the grants held by this customer, across all of their billing schedules.
Maximum number of grants per page, from 1 to 100. Defaults to 20.
Cursor for the next page, from pagination.after. Omit for the first page. Use either after or before, not both.
Cursor for the previous page, from pagination.before. Omit for the first page. Use either after or before, not both.
Order by creation date: DESC for newest first, ASC for oldest first. Defaults to DESC.
Response
OK
The V2 credit grants on this page.
Show child attributes
Show child attributes
[
{
"id": "0199ca8a-e7e8-73b3-bd69-a316a23231a0",
"sequenceAccountId": "dce9ae85-d8d0-42b4-bcad-f221a64363c6",
"customerId": "61b083e0-1faa-47ca-9aeb-6205da8f6c47",
"billingScheduleId": "0199ca86-560e-7ac4-999f-bee364f7e4e7",
"phaseId": "0199ca87-6d80-7836-aa09-10386a08d761",
"name": "Monthly usage credits",
"creditUnitType": "CURRENCY",
"currency": "GBP",
"metricId": "f092246c-6b90-4106-bcca-304ccf06bf45",
"amount": 100,
"availableBalance": 79.35,
"costOfCredit": 100,
"taxRateId": "179d1ab3-cc96-48e2-9310-067b0b42d47c",
"effectiveDate": "2026-01-01",
"expiryDate": "2026-01-31",
"createdAt": "2026-01-01T10:00:00Z",
"updatedAt": "2026-01-01T10:00:00Z",
"grantRefreshFrequency": "MONTHLY",
"billingFrequency": "MONTHLY",
"rolloverMode": "NONE",
"sourceGrantId": "0199ca8a-e7e8-73b3-bd69-a316a2323100",
"restrictToPrices": ["0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"],
"integrationIds": [
{
"service": "Xero",
"id": "74ed2615-4730-49ab-9445-74f31723a206",
"isPending": false
}
]
}
]
Results pagination.
Show child attributes
Show child attributes
{
"after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
"before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
"totalResultSize": 10
}